<%@page contentType="text/html;charset=gb2312"%>
<HTML>
<BODY>
<%
	String count=(String)session.getAttribute("numVisits"); count=increment(count);
	out.println("You have visited this page "+count+" times."); 
	session.setAttribute("numVisits",count);
%>
<%!
	String increment(String count)
	{
		if(count!=null) 
		{ 
			return Integer.toString(Integer.parseInt(count)+1); 
		}
		else
		{
 			return "1";
		}
	}
%>
</BODY> 
</HTML>
